Subject: bug#9382: closed (Re: bug#9382: Need an option for the default forwarding method)

From: Dave Abrahams <[email-masked]>
Date: Wed, 01 Feb 2012 12:21:43 -0500

on Mon Sep 12 2011, Lars Magne Ingebrigtsen <larsi-AT-gnus.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>> on Sat Sep 10 2011, help-debbugs-AT-gnu.org (GNU bug Tracking System) wrote:
>>
>>> Option 2 is literally:
>>>
>>>        ((eq arg 2)
>>> 	(setq message-forward-as-mime t
>>> 	      message-forward-show-mml nil))
>>>
>>> So you can just set those variables to get that action without using a
>>> prefix.
>>
>> Hmm.  
>>
>> I'm looking at the docs for message-forward-show-mml and it sounds like
>> that variable just affects what I see when I look at forwarded
>> messages... but if that were the case it wouldn't have any bearing on
>> what the recipient sees.  Maybe that doc needs a tweak?
>
> As far as I can tell, the difference between (say) 2 and 4 is:
>
> if ARG is 2, forward message as an rfc822 MIME section;
> if ARG is 4, forward message directly inline;
>
> where the difference is `message-forward-show-mml' t or nil, is just how
> it's displayed before you send it.  So I think the doc is correct?

I'm referring to this:

  *Non-nil means show forwarded messages as MML (decoded from MIME).

It's not a matter of how they're "shown," but how they're
represented/enclosed in the new message.  The rest of the text doesn't
do anything to disabuse the reader of the impression that it's a
display-only thing.

  Otherwise, forwarded messages are unchanged.
  Can also be the symbol `best' to indicate that MML should be
  used, except when it is a bad idea to use MML.  One example where
  it is a bad idea is when forwarding a signed or encrypted
  message, because converting MIME to MML would invalidate the
  digital signature.

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com